## pg-repack 1.3.4

=== Makefile ===
#
# pg_repack: Makefile
#
#  Portions Copyright (c) 2008-2011, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config
EXTENSION = pg_repack

.PHONY: dist/$(EXTENSION)-$(EXTVERSION).zip

# Pull out PostgreSQL version number from pg_config
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
ifeq ("$(VERSION)","")
$(error pg_config not found)
endif

# PostgreSQL version as a number, e.g. 9.1.4 -> 901
INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

# The version number of the library
EXTVERSION = $(shell grep '"version":' META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

ifeq ($(shell echo $$(($(INTVERSION) < 803))),1)
$(error $(EXTENSION) requires PostgreSQL 8.3 or later. This is $(VERSION))
endif

SUBDIRS = bin lib regress

all install installdirs uninstall distprep clean distclean maintainer-clean debug:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

# We'd like check operations to run all the subtests before failing.
check installcheck:
	@CHECKERR=0; for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

# Prepare the package for PGXN submission
package: dist dist/$(EXTENSION)-$(EXTVERSION).zip

dist:
	mkdir -p dist

dist/$(EXTENSION)-$(EXTVERSION).zip:
	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output $@ master

=== bin/Makefile ===
#
# pg_repack: bin/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

SRCS = pg_repack.c pgut/pgut.c pgut/pgut-fe.c
OBJS = $(SRCS:.c=.o)
PROGRAM = pg_repack


# The version number of the program. It should be the same of the library.
REPACK_VERSION = $(shell grep '"version":' ../META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

PG_CPPFLAGS = -I$(libpq_srcdir) -DREPACK_VERSION=$(REPACK_VERSION)

ifdef DEBUG_REPACK
PG_CPPFLAGS += -DDEBUG_REPACK
endif

PG_LIBS = $(libpq)

USE_PGXS = 1	# use pgxs if not in contrib directory
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# remove dependency on libxml2, libxslt, and libpam.
# XXX: find a better way to make sure we are linking with libraries
# from pg_config which we actually need.
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))
LIBS := $(filter-out -lpam, $(LIBS))

=== lib/Makefile ===
#
# pg_repack: lib/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

EXTENSION = pg_repack
MODULE_big = $(EXTENSION)

OBJS = repack.o pgut/pgut-be.o pgut/pgut-spi.o

SHLIB_EXPORTS = exports.txt

# The version number of the program. It should be the same of the library.
REPACK_VERSION = $(shell grep '"version":' ../META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

PG_CPPFLAGS = -DREPACK_VERSION=$(REPACK_VERSION)

# Support CREATE EXTENSION for PG >= 9.1 and a simple sql script for PG < 9.1
ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
DATA_built = pg_repack--$(REPACK_VERSION).sql pg_repack.control
else
DATA_built = pg_repack.sql
DATA = uninstall_pg_repack.sql
endif

USE_PGXS = 1
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# remove dependency on libxml2, libxslt, and libpam.
# XXX: find a better way to make sure we are linking with libraries
# from pg_config which we actually need.
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))
LIBS := $(filter-out -lpam, $(LIBS))

pg_repack.sql: pg_repack.sql.in
	echo "BEGIN;" > $@; \
	sed 's,MODULE_PATHNAME,$$libdir/$(MODULE_big),g' $< \
	| sed 's,REPACK_VERSION,$(REPACK_VERSION),g' >> $@; \
	echo "COMMIT;" >> $@;

pg_repack--$(REPACK_VERSION).sql: pg_repack.sql.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< > $@;

pg_repack.control: pg_repack.control.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< > $@

=== regress/Makefile ===
#
# pg_repack: regress/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))


#
# Test suite
#

ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
REGRESS := init-extension
else
REGRESS := init-legacy
endif

# plpgsql not available by default on pg < 9.0
ifeq ($(shell echo $$(($(INTVERSION) < 900))),1)
REGRESS += plpgsql
endif

REGRESS += repack tablespace

# This test depends on collate, not supported before 9.1
ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
REGRESS += issue3
endif


USE_PGXS = 1	# use pgxs if not in contrib directory
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pg-repack 1.3.3

=== debian/changelog ===
pg-repack (1.3.3-1) unstable; urgency=medium

  * pg-reorg has been discontinued, switching to pg-repack.

    pg_reorg development has been stopped, users should migrate to pg_repack.
    https://github.com/ossc-db/pg_reorg/issues/1

  [ Martin Pitt ]
  * Build for PostgreSQL 9.5. (Closes: #811136)
  * Drop obsolete XS-Testsuite: field.

  [ Christoph Berg ]
  * Point watchfile at github.
  * bin/Makefile: Make sure include/internal is loaded first.
  * Restrict to 9.3+.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Feb 2016 11:50:58 +0100

pg-reorg (1.1.11-1) unstable; urgency=medium

  * New upstream release supporting 9.4.  Closes: #758482, #761556.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Jan 2015 15:06:59 +0100

pg-reorg (1.1.9-2) unstable; urgency=medium

  * Also remove (broken anyway) logos from documentation.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Jul 2014 17:35:18 +0200

pg-reorg (1.1.9-1) unstable; urgency=medium

  * Initial release.
  * Tweak headers and libs to build against older servers using 9.3's
    libpq-dev package.
  * Remove adsense code from html documentation.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 12 Mar 2014 10:47:54 +0100

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.7
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-repack.git
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-repack.git

Package: postgresql-9.5-repack
Architecture: any
Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 9.5.

## pg-repack 1.3.4

=== debian/changelog ===
pg-repack (1.3.4-3) unstable; urgency=medium

  * Team upload.
  * Fix tablespace testcase to work with latest microrelease (Closes: #854997)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Feb 2017 11:59:14 +0100

pg-repack (1.3.4-2) unstable; urgency=medium

  * Team upload for PostgreSQL 9.6.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 26 Sep 2016 11:00:22 +0200

pg-repack (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 27 May 2016 21:30:37 +0200

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.8
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-repack.git
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-repack.git

Package: postgresql-9.6-repack
Architecture: any
Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 9.6.

## pg-repack 1.4.2

=== bin/Makefile ===
--- 
+++ 
@@ -26,13 +26,10 @@
 PG_LIBS = $(libpq)
 
 USE_PGXS = 1	# use pgxs if not in contrib directory
-PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
 # remove dependency on libxml2, libxslt, and libpam.
 # XXX: find a better way to make sure we are linking with libraries
 # from pg_config which we actually need.
-LIBS := $(filter-out -lxml2, $(LIBS))
-LIBS := $(filter-out -lxslt, $(LIBS))
-LIBS := $(filter-out -lpam, $(LIBS))
+LIBS := $(filter-out -ledit -lgssapi_krb5 -lpam -lselinux -lxml2 -lxslt, $(LIBS))

=== doc/Makefile ===
RST2HTML = $(shell which rst2html || which rst2html.py)
RSTCSS = $(shell python -c 'import docutils.writers.html4css1 as m; print m.Writer.default_stylesheet_path')
RSTOPTS = --stylesheet-path=style.css,$(RSTCSS) --initial-header-level=2

HTML = $(patsubst %.rst,%.html,$(wildcard *.rst))

.PHONY: clean

all : html

html : $(HTML)

%.html: %.rst style.css
	$(RST2HTML) $(RSTOPTS) $< $@

clean:
	rm -f $(HTML)

=== lib/Makefile ===
--- 
+++ 
@@ -9,13 +9,13 @@
 PG_CONFIG ?= pg_config
 
 # version as a number, e.g. 9.1.4 -> 901
-VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
-INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))
+VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
+INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))
 
 EXTENSION = pg_repack
 MODULE_big = $(EXTENSION)
 
-OBJS = repack.o pgut/pgut-be.o pgut/pgut-spi.o
+OBJS = repack.o pgut/pgut-spi.o
 
 SHLIB_EXPORTS = exports.txt
 
@@ -25,13 +25,7 @@
 
 PG_CPPFLAGS = -DREPACK_VERSION=$(REPACK_VERSION)
 
-# Support CREATE EXTENSION for PG >= 9.1 and a simple sql script for PG < 9.1
-ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
 DATA_built = pg_repack--$(REPACK_VERSION).sql pg_repack.control
-else
-DATA_built = pg_repack.sql
-DATA = uninstall_pg_repack.sql
-endif
 
 USE_PGXS = 1
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== regress/Makefile ===
#
# pg_repack: regress/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))


#
# Test suite
#

REGRESS := init-extension repack tablespace issue3

USE_PGXS = 1	# use pgxs if not in contrib directory
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-repack (1.4.2-2) unstable; urgency=medium

  * Always qualify relation names. Patch by Masahiko Sawada; thanks to
    Nishanth Aravamudan for forwarding! Closes: #894841.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 06 Apr 2018 14:17:58 +0200

pg-repack (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 11:24:16 +0200

pg-repack (1.4.1-2) unstable; urgency=medium

  * Pull changes from upstream git to support PG10.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Sep 2017 18:03:51 +0200

pg-repack (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 05 Sep 2017 13:21:55 +0200

pg-repack (1.4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 01 May 2017 21:23:17 +0200

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: postgresql-10-repack
Architecture: any
Depends: postgresql-10, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 10.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr

## pg-repack 1.4.3

=== debian/changelog ===
pg-repack (1.4.3-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pg-repack-source-
    distribution=wheezy-15,
    762f8f8a4083a1e08bc2995835d80eb6f40e3ac6/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 20 May 2018 19:07:38 +0200

pg-repack (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sun, 20 May 2018 11:04:00 +0200

## pg-repack 1.4.4

=== Makefile ===
--- 
+++ 
@@ -12,20 +12,21 @@
 .PHONY: dist/$(EXTENSION)-$(EXTVERSION).zip
 
 # Pull out PostgreSQL version number from pg_config
-VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
+VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
 ifeq ("$(VERSION)","")
 $(error pg_config not found)
 endif
 
 # PostgreSQL version as a number, e.g. 9.1.4 -> 901
-INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))
+INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))
 
 # The version number of the library
 EXTVERSION = $(shell grep '"version":' META.json | head -1 \
 	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')
 
-ifeq ($(shell echo $$(($(INTVERSION) < 803))),1)
-$(error $(EXTENSION) requires PostgreSQL 8.3 or later. This is $(VERSION))
+# NOTE: keep consistent with META.json
+ifeq ($(shell echo $$(($(INTVERSION) < 901))),1)
+$(error $(EXTENSION) requires PostgreSQL 9.1 or later. This is $(VERSION))
 endif
 
 SUBDIRS = bin lib regress

=== lib/Makefile ===
--- 
+++ 
@@ -34,9 +34,7 @@
 # remove dependency on libxml2, libxslt, and libpam.
 # XXX: find a better way to make sure we are linking with libraries
 # from pg_config which we actually need.
-LIBS := $(filter-out -lxml2, $(LIBS))
-LIBS := $(filter-out -lxslt, $(LIBS))
-LIBS := $(filter-out -lpam, $(LIBS))
+LIBS := $(filter-out -lpam -lxml2 -lxslt, $(LIBS))
 
 pg_repack.sql: pg_repack.sql.in
 	echo "BEGIN;" > $@; \

=== debian/changelog ===
pg-repack (1.4.4-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 14 Feb 2019 16:34:59 +0100

pg-repack (1.4.4-2) unstable; urgency=medium

  * tests: Don't ignore CREATE INDEX failure, client_min_messages=fatal
    doesn't work anymore in latest PG minors.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 14 Feb 2019 16:34:59 +0100

pg-repack (1.4.4-1) unstable; urgency=medium

  [ Debian PostgreSQL Maintainers ]
  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 06 Nov 2018 13:01:35 +0100

pg-repack (1.4.3-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Michael Banck ]
  * debian/patches/v11: New patch, includes upstream commits 2acb0f0a, 9755c2ff
    and 9eaac236 for v11 support.
  * debian/control: Rebuild against postgresql-11.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 18 Oct 2018 09:32:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pg-repack
 Priority: optional
 Section: database
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
@@ -9,6 +9,45 @@
 Homepage: https://github.com/reorg/pg_repack
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
 Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git
+
+Package: postgresql-9.4-repack
+Architecture: any
+Depends: postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 9.4.
+
+Package: postgresql-9.5-repack
+Architecture: any
+Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 9.5.
+
+Package: postgresql-9.6-repack
+Architecture: any
+Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 9.6.
 
 Package: postgresql-10-repack
 Architecture: any
@@ -23,3 +62,16 @@
  This package contains the pg_repack program and the server extension for
  PostgreSQL 10.
 
+Package: postgresql-11-repack
+Architecture: any
+Depends: postgresql-11, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 11.
+

## pg-repack 1.4.5

=== debian/changelog ===
pg-repack (1.4.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:31:58 +0100

pg-repack (1.4.5-1) unstable; urgency=medium

  * New upstream release compatible with PG12.
  * debian/patches/client-messages: Remove, obsolete.
  * debian/patches/libs: Revert includedir-internal hack.
  * debian/pgversions: Bump to 9.5+.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Oct 2019 12:54:14 +0200

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: postgresql-12-repack
Architecture: any
Depends: postgresql-12, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 12.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-repack
	# Install an alternative for /usr/bin/pg_repack. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_repack pg_repack /usr/lib/postgresql/$$v/bin/pg_repack $$i" >> debian/postgresql-$$v-repack.postinst.debhelper; \
		echo "update-alternatives --remove pg_repack /usr/lib/postgresql/$$v/bin/pg_repack" >> debian/postgresql-$$v-repack.prerm.debhelper; \
	done

override_dh_installdocs:
	dh_installdocs --all doc/*

%:
	dh $@

## pg-repack 1.4.6

=== debian/changelog ===
pg-repack (1.4.6-2) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 10:57:50 +0200

pg-repack (1.4.6-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop and run tests at build time as well.
  * DH 13.
  * debian/tests: Simplify.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 10:42:20 +0200

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: postgresql-13-repack
Architecture: any
Depends: postgresql-13, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 13.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_pgxs_test:
	rm -rf /tmp/pg-repack-tablespace
	mkdir /tmp/pg-repack-tablespace
	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/13/bin)):$(PATH) \
		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
	rm -rf /tmp/pg-repack-tablespace

override_dh_installdocs:
	dh_installdocs --all doc/*
	# Install an alternative for /usr/bin/pg_repack. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_repack pg_repack /usr/lib/postgresql/$$v/bin/pg_repack $$i" >> debian/postgresql-$$v-repack.postinst.debhelper; \
		echo "update-alternatives --remove pg_repack /usr/lib/postgresql/$$v/bin/pg_repack" >> debian/postgresql-$$v-repack.prerm.debhelper; \
	done

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=3

https://github.com/reorg/pg_repack/releases .*/ver_(.*)\.tar\.gz

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg18.04+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

pg-repack (1.4.7-2) unstable; urgency=medium

  * Fix github watchfile.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Dec 2021 17:02:49 +0100

pg-repack (1.4.7-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,51 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
 Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git
+
+Package: postgresql-10-repack
+Architecture: any
+Depends: postgresql-10, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 10.
+
+Package: postgresql-11-repack
+Architecture: any
+Depends: postgresql-11, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 11.
+
+Package: postgresql-12-repack
+Architecture: any
+Depends: postgresql-12, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 12.
 
 Package: postgresql-13-repack
 Architecture: any
@@ -23,3 +62,16 @@
  .
  This package contains the pg_repack program and the server extension for
  PostgreSQL 13.
+
+Package: postgresql-14-repack
+Architecture: any
+Depends: postgresql-14, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 14.

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg20.04+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg21.10+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg22.04+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg90+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg100+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg110+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg120+1

=== bin/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
 #  Portions Copyright (c) 2011, Itagaki Takahiro
-#  Portions Copyright (c) 2012-2015, The Reorg Development Team
+#  Portions Copyright (c) 2012-2020, The Reorg Development Team
 #
 
 PG_CONFIG ?= pg_config
@@ -25,11 +25,13 @@
 
 PG_LIBS = $(libpq)
 
+# libs pgport, pgcommon moved somewhere else in some ubuntu version
+# see ticket #179
+PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
+
 USE_PGXS = 1	# use pgxs if not in contrib directory
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
 # remove dependency on libxml2, libxslt, and libpam.
-# XXX: find a better way to make sure we are linking with libraries
-# from pg_config which we actually need.
-LIBS := $(filter-out -ledit -lgssapi_krb5 -lpam -lselinux -lxml2 -lxslt, $(LIBS))
+LIBS := $(libpq_pgport)

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack

## pg-repack 1.4.7~20220627.1652-2~1.git6ac18fc.pgdg+1

=== debian/changelog ===
pg-repack (1.4.7~20220627.1652-2~1.git6ac18fc.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

## pg-repack 1.4.7

=== regress/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
 #  Portions Copyright (c) 2011, Itagaki Takahiro
-#  Portions Copyright (c) 2012-2015, The Reorg Development Team
+#  Portions Copyright (c) 2012-2020, The Reorg Development Team
 #
 
 PG_CONFIG ?= pg_config
@@ -17,7 +17,7 @@
 # Test suite
 #
 
-REGRESS := init-extension repack tablespace issue3
+REGRESS := init-extension repack-setup repack-run after-schema repack-check nosuper tablespace issue3
 
 USE_PGXS = 1	# use pgxs if not in contrib directory
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
pg-repack (1.4.7-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,25 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
 Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git
+
+Package: postgresql-9.6-repack
+Architecture: any
+Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 9.6.
 
 Package: postgresql-10-repack
 Architecture: any

## pg-repack 1.4.8

=== debian/changelog ===
pg-repack (1.4.8-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 15. (Closes: #1022535)

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2022 13:41:22 +0200

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: postgresql-15-repack
Architecture: any
Depends: postgresql-15, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 15.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 override_dh_pgxs_test:
 	rm -rf /tmp/pg-repack-tablespace
 	mkdir /tmp/pg-repack-tablespace
-	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/13/bin)):$(PATH) \
+	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/*/bin)):$(PATH) \
 		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
 	rm -rf /tmp/pg-repack-tablespace

=== debian/watch ===
version=4

https://github.com/reorg/pg_repack/tags .*/ver_(.*)\.tar\.gz

## pg-repack 1.5.0

=== regress/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Test suite
 #
 
-REGRESS := init-extension repack-setup repack-run after-schema repack-check nosuper tablespace issue3
+REGRESS := init-extension repack-setup repack-run error-on-invalid-idx after-schema repack-check nosuper tablespace get_order_by trigger
 
 USE_PGXS = 1	# use pgxs if not in contrib directory
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
pg-repack (1.5.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 25 Nov 2023 16:17:10 +0000

pg-repack (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 16:17:10 +0000

pg-repack (1.4.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 20:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,80 @@
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/reorg/pg_repack
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
 Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git
 
+Package: postgresql-10-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 10.
+
+Package: postgresql-11-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 11.
+
+Package: postgresql-12-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 12.
+
+Package: postgresql-13-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 13.
+
+Package: postgresql-14-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 14.
+
 Package: postgresql-15-repack
 Architecture: any
-Depends: postgresql-15, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: reorganize tables in PostgreSQL databases with minimal locks
  pg_repack is a PostgreSQL extension which lets you remove bloat from tables
  and indexes, and optionally restore the physical order of clustered indexes.
@@ -23,3 +88,16 @@
  .
  This package contains the pg_repack program and the server extension for
  PostgreSQL 15.
+
+Package: postgresql-16-repack
+Architecture: any
+Depends: ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: reorganize tables in PostgreSQL databases with minimal locks
+ pg_repack is a PostgreSQL extension which lets you remove bloat from tables
+ and indexes, and optionally restore the physical order of clustered indexes.
+ Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
+ lock on the processed tables during processing. pg_repack is efficient to
+ boot, with performance comparable to using CLUSTER directly.
+ .
+ This package contains the pg_repack program and the server extension for
+ PostgreSQL 16.
